#!/bin/sh

NSPK_ROOT=`readlink -f $0`
NSPK_ROOT=`dirname $NSPK_ROOT`
RET=1

if [ -f $NSPK_ROOT/localdata/NetSpeakerAxisAcap.img ] 
then
    rm -rf $NSPK_ROOT/localdata/fw
    mkdir $NSPK_ROOT/localdata/fw
    cd $NSPK_ROOT/localdata/fw
    head $NSPK_ROOT/localdata/NetSpeakerAxisAcap.img -c64 > fwversion.txt
    tail -c+65 $NSPK_ROOT/localdata/NetSpeakerAxisAcap.img > NetSpeakerAxisAcap.tgz
    tar -xf NetSpeakerAxisAcap.tgz

    if [ $? -eq 0 ] && [ -f $NSPK_ROOT/localdata/fw/netspeaker ] && [ -f $NSPK_ROOT/localdata/fw/fwversion.txt ]
    then
        mv $NSPK_ROOT/localdata/fw/fwversion.txt $NSPK_ROOT/fwversion.txt
        mv $NSPK_ROOT/localdata/fw/netspeaker $NSPK_ROOT/netspeaker
        RET=0
    fi
    rm -rf $NSPK_ROOT/localdata/fw
    rm -rf $NSPK_ROOT/localdata/NetSpeakerAxisAcap.img
fi

exit $RET




